### File

`packages/components/layout/eui-notifications-v2/eui-notification-item.component.ts`

### Metadata

selector | `eui-notification-item-v2`
imports | `NgClass` `DatePipe` `EuiTruncatePipe` `TranslateModule` `EUI_ICON`
templateUrl | `./eui-notification-item.component.html`

### Index

###### Properties
string tooltipSize
###### Methods
onItemClick onItemMarkAsRead
###### Inputs
dateFormat isShowMarkAsRead item markAsReadLabel
###### Outputs
itemClick itemMarkAsRead
###### HostBindings
class
###### Accessors
iconColor

### Inputs

dateFormat
Type : `string`
Default value : `'dd/MM/YYYY'`

isShowMarkAsRead
Type : `boolean`
Default value : `true`

item
Type : `UxLinkLegacy<NotificationMetadata>`

markAsReadLabel
Type : `string`
Default value : `null`

### Outputs

itemClick
Type : `EventEmitter<UxLinkLegacy>`

itemMarkAsRead
Type : `EventEmitter<UxLinkLegacy>`

### HostBindings

class
Type : `string`
Default value : `'eui-notification-item'`

### Methods

onItemClick
`onItemClick()`
Returns : `void`

onItemMarkAsRead
`onItemMarkAsRead(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Properties

string
Type : `string`
Default value : `'eui-notification-item'`
Decorators : `@HostBinding('class')`

tooltipSize
Type : `string`
Default value : `'auto'`

### Accessors

iconColor
get `iconColor()`

# results matching ""

# No results matching ""